reinitialize
bg_color white

# Loren Williams, Georgia Tech
# pymol script for tRNA


load p229c_p212121.pdb, 9c_coords
hide everything, 9c_coords
load 3BDN_lambda_repressor.pdb, lambda_repressor


hide everything, lambda_repressor 
show cartoon, lambda_repressor
create L_R_HTH, lambda_repressor and chain B and (resi 32-55)
create L_R_DNA, lambda_repressor and chain C+D
hide everything, L_R_HTH
show stick, L_R_HTH
disable lambda_repressor
disable L_R_*


#_____Make an object out of chain d only
create 9cchaind_coords, (9c_coords and chain d)
set cartoon_cylindrical_helices,2, 9cchaind_coords
show cartoon, 9cchaind_coords
hide sticks, 9cchaind_coords
hide lines, 9cchaind_coords
color forest, 9cchaind_coords

#_____Make an object out of chain c only
create 9cchainc_coords, (9c_coords and chain c)
set cartoon_cylindrical_helices,1, 9cchainc_coords
show cartoon, 9cchainc_coords
hide sticks, 9cchainc_coords
hide lines, 9cchainc_coords
color Sand, 9cchainc_coords

#_____select just the DNA, put it in an object, display it as sticks, color it
create 9cdna_coords, ((resn A or resn T or resn G or resn C) and 9c_coords)
set cartoon_ring_mode, 0, 9cdna_coords
show cartoon, 9cdna_coords
#show sticks, 9cdna_coords
hide lines, 9cdna_coords
#color gray, (9cdna_coords and elem c)
#color red, (9cdna_coords and elem o)
color Silver, 9cdna_coords 
#color blue, (9cdna_coords and elem n)

#______make bases
create bases, 9cdna_coords and (name n1 or name c2 or name o2 or name n3 or name c4 or name o4 or name n4 or name c5m or name c5 or name c6 or name n9 or name c8 or name n7 or name n6 or name o6 or name n2)

#
create gc, bases and (resn G or resn C)
color skyblue, gc
show spheres, gc
#
create at, bases and (resn A or resn T)
color red, at
show spheres, at
#
#______make sugar
create sugar, 9cdna_coords and (name o3* or name c3* or name c2* or name c1* or name c4* or name c5* or name o4* or name o5*)
color silver, sugar
#
#______make backbone
#create backbone, 9cdna_coords and (name o2p or name o1p or name p)
#set cartoon_ring_mode, 1, backbone
#show cartoon, backbone
#
### to orient and slab, type get_view, cut and paste into script ###
### cut below here and paste into script ###




set_view (\
    -0.838162184,   -0.187430292,   -0.512203753,\
     0.524005473,   -0.016165817,   -0.851561487,\
     0.151328400,   -0.982144713,    0.111763977,\
     0.000015384,   -0.000001043, -199.025100708,\
     7.972286701,   -0.870616913,   -9.088403702,\
    -2.167426109,  400.217681885,    0.000000000 )
#

#ray 600,800
#save view_1.png
#